Summary: A library which allows userspace to access iRiver devices
Name: libiriver
Version: 0.0.7
Release: 1
Source0: http://michele.pupazzo.org/libiriver/download/%{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://michele.pupazzo.org/libiriver/
BuildRequires: libusb-devel >= 0.1.7, gtk-doc >= 0.9

%description
This package provides a way for applications to access the iRiver mp3
portable devices.

%package devel
Summary: Development files for libiriver.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the header files and documentation needed to
develop applications that use libiriver.

%prep
%setup -q

%build
%configure --enable-gtk-doc 
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS README INSTALL NEWS ChangeLog 
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/*


%changelog
* Sat May 31 2003 Michele Baldessari <michele@pupazzo.org> 0.0.1-0
- Initial spec
